# Development

This section is a comprehensive guide that spans various aspects of the development lifecycle. From the initial phases of **project and environment management**, to maintaining a clear **commit convention**, and culminating in the **release process**, we aim to establish best practices for modest-sized Python projects and teams, suitable for both open-source platforms like GitHub/GitLab, as well as self-managed GitLab repositories.

```{note}
Best practices can vary based on specific circumstances. We are open to comments and suggestions to refine the approach.
```

## For Developers

```{toctree}
:titlesonly:
env
commit
```

## For Maintainers

```{toctree}
:titlesonly:
proj
release
```
